/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package structures;

/**
 *
 * @author baba
 */
public class RegionalManagerObject {
    private String ID = null;
    private String IPAddress = null;
    private String portNo = null;
    private long latestUpdateTime = 0;

    @Override
    public String toString(){
        String returnString = null;
        returnString = getID()+Constants.DELIMITER_FOR_VIN+getIPAddress()+Constants.DELIMITER_FOR_VIN + getPortNo();
        return returnString;
    }

    public RegionalManagerObject(){

    }

    public RegionalManagerObject(String name, String ip, String port){
        setID(name);
        setIPAddress(ip);
        setPortNo(port);
    }

    /**
     * @return the ID
     */
    public String getID() {
        return ID;
    }

    /**
     * @param ID the ID to set
     */
    public void setID(String ID) {
        this.ID = ID;
    }

    /**
     * @return the IPAddress
     */
    public String getIPAddress() {
        return IPAddress;
    }

    /**
     * @param IPAddress the IPAddress to set
     */
    public void setIPAddress(String IPAddress) {
        this.IPAddress = IPAddress;
    }

    /**
     * @return the portNo
     */
    public String getPortNo() {
        return portNo;
    }

    /**
     * @param portNo the portNo to set
     */
    public void setPortNo(String portNo) {
        this.portNo = portNo;
    }

    /**
     * @return the latestUpdateTime
     */
    public long getLatestUpdateTime() {
        return latestUpdateTime;
    }

    /**
     * @param latestUpdateTime the latestUpdateTime to set
     */
    public void setLatestUpdateTime(long latestUpdateTime) {
        this.latestUpdateTime = latestUpdateTime;
    }

}
